Bug 311371 - lid switch stops working completely after resume from suspend
lid switch stops working completely after resume from suspend
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-28 13:20 EDT by Orion Poplawski
Modified: 2008-01-22 14:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-22 14:12:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-09-28 13:20:57 EDT
Description of problem:

After resuming from suspend, the lid switch is completely disabled.  It still
kills the backlight, but that is all.
# cat /proc/acpi/button/lid/LID/state
state:      open

even with the lid switch button held down.  /var/log/acpid reports no events.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

This worked fine with FC5 and 2.6.18 kernels.
Comment 1 Christopher Brown 2008-01-14 13:03:50 EST

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 2 Orion Poplawski 2008-01-22 14:12:22 EST
Appears to be fixed with (possibly earlier).

Note You need to log in before you can comment on or make changes to this bug.